﻿/*
Post-Deployment Script Template							
--------------------------------------------------------------------------------------
 This file contains SQL statements that will be appended to the build script.		
 Use SQLCMD syntax to include a file in the post-deployment script.			
 Example:      :r .\myfile.sql								
 Use SQLCMD syntax to reference a variable in the post-deployment script.		
 Example:      :setvar TableName MyTable							
               SELECT * FROM [$(TableName)]					
--------------------------------------------------------------------------------------
*/
SET IDENTITY_INSERT [Lookup] ON
GO
MERGE INTO Lookup AS Target 
USING (VALUES 
  (0, 'phone-type', 'home'), 
  (1, 'phone-type', 'work'), 
  (2, 'phone-type', 'mobile'), 
  (3, 'employee-title', 'ceo'), 
  (4, 'employee-title', 'cto'), 
  (5, 'employee-title', 'cio'), 
  (6, 'employee-title', 'vice president'),
  (7, 'employee-title', 'director'),
  (8, 'employee-title', 'chief chef'),
  (9, 'employee-title', 'janitor')
) 
AS Source (Id, LookupType, LookupValue) 
ON Target.Id = Source.Id
WHEN MATCHED THEN 
UPDATE SET 
	LookupType = Source.LookupType,
	LookupValue = Source.LookupValue
WHEN NOT MATCHED BY TARGET THEN 
INSERT (Id, LookupType, LookupValue) 
VALUES (Id, LookupType, LookupValue) 
WHEN NOT MATCHED BY SOURCE THEN 
DELETE;

SET IDENTITY_INSERT [Lookup] ON
GO